
QGIS Application - Feature request #1740

digitize polygon/polyline snapping more than one node of another vector object

2009-06-17 02:16 AM - flv -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11800

Description

It would be useful to digitize a polygon or a polyline snapping to a part of an existing line/polyline of another vector layer or in the same

layer. For example: digitize a land use polygone snapping to a river border from first vertex (of the river) to the 30th (for a river border with

100 vertex i.e.).

History

#1 - 2009-06-17 02:44 AM - Borys Jurgiel

This is implemented for polygons. You can enable 'Avoid intersections of new polygons' and then digitize, you know, 'overmuch', overlapping a part of

existing polygon. Your polygon will be clipped to the existing boundary.

For lines, only way I see is Ctrl-C, Ctrl-V and then manage somehow ;)

#2 - 2009-06-17 03:54 AM - flv -

Replying to [comment:1 borysiasty]:

This is implemented for polygons. You can enable 'Avoid intersections of new polygons' and then digitize, you know, 'overmuch', overlapping a part

of existing polygon. Your polygon will be clipped to the existing boundary.

Yes, you're right.

For lines, only way I see is Ctrl-C, Ctrl-V and then manage somehow ;)

Yes. the problem I found is that if I try to digitize a new polygon wich has to snap to a part of a polyline I have to snap the vertex one by one. It would be

useful if the user was able to select only "a part" of a polyline and then continue the digitizing away.

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2017-05-01 12:42 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No

- Easy fix? set to No

#7 - 2017-05-01 11:43 AM - Regis Haubourg

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Trace digitize plugin has been ported in QGIS (2.14 at least). It is the first icon in the advanced digitizing toolbar (a magnet).
